import { Context } from "telegraf";
import { Command, CommandTypes } from "../utils/types";

async function handler(ctx: Context, args: string[]) {
    const req = await fetch("https://git.nin0.dev");
    if (req.status === 200) {
        await ctx.reply("No");
    } else {
        await ctx.reply(`Yes (Error code ${req.status.toString()})`);
    }
}

export const forgejoDown: Command = {
    name: "forgejo-down?",
    aliases: ["fj-down?", "ifd", "is-forgejo-down", "fjd?"],
    description: "Check if nin0's Forgejo is down",
    type: CommandTypes.Info,
    modOnly: false,
    ownerOnly: false,
    handler
};
