import { Context } from "telegraf";
import { Command, CommandTypes } from "../utils/types";

async function handler(ctx: Context, args: string[]) {
    await ctx.sendChatAction("upload_photo");
    await ctx.replyWithPhoto(`https://minky.materii.dev?${Date.now().toString()}`);
}

export const minky: Command = {
    name: "minky",
    aliases: ["mink", "minker"],
    description: "minker",
    type: CommandTypes.Fun,
    modOnly: false,
    ownerOnly: false,
    handler
};
