import { Context } from "telegraf";
import { Command, CommandTypes } from "../utils/types";

async function handler(ctx: Context, args: string[]) {
    await ctx.reply(
        "I am free software! You can find my code at https://git.nin0.dev/nin0/venbot-tg"
    );
}

export const source: Command = {
    name: "source-code",
    aliases: ["sc", "source"],
    description: "View venbot-tg's source code",
    type: CommandTypes.Info,
    modOnly: false,
    ownerOnly: false,
    handler
};
