import { Context } from "telegraf";

export enum CommandTypes {
    Fun,
    Moderation,
    Utility,
    Info
}

export type Command = {
    name: string;
    aliases: string[];
    description: string;
    type: CommandTypes;
    modOnly: boolean;
    ownerOnly: boolean;
    handler: (ctx: Context, args: string[]) => void;
};
